package com.unis.module.core.enums;

import com.unis.framework.common.exception.ErrorCode;

/**
 * @author qingsong.han
 * @description:
 * // TODO 待办：请将下面的错误码复制到 delivery-module-coding-api 模块的 ErrorCodeConstants 类中。注意，请给“TODO 补充编号”设置一个错误码编号！！！
 * // ========== 单位信息 TODO 补充编号 ==========
 * @create 2025-01-14 10:21
 */
public interface ErrorCodeConstants {

    /**
     * 单位信息(企业信息)
     */
    ErrorCode DWXX_NOT_EXISTS = new ErrorCode(2_001_000_001, "单位信息不存在");
    ErrorCode DWXX_LOGIN_USER_EXISTS = new ErrorCode(2_001_000_002, "获取用户登录信息失败");

    /**
     * 库区信息KQXX_NOT_EXISTS
     */
    ErrorCode KQXX_NOT_EXISTS = new ErrorCode(2_002_000_001, "库区信息;不存在");

    /**仓房信息*/
    ErrorCode CAXX_NOT_EXISTS = new ErrorCode(2_003_000_001, "仓廒信息;不存在");
    /**财务信息不存在*/
    ErrorCode CWXX_NOT_EXISTS = new ErrorCode(2_004_000_001, "财务信息不存在");
    // ========== 财年务情况 TODO 补充编号 ==========
    ErrorCode CWXX_YEAR_NOT_EXISTS = new ErrorCode(2_005_000_001, "财年务情况不存在");

    /** app */
    ErrorCode APP_ACCOUNT_PERMISSION_DENIED = new ErrorCode(2_006_000_001, "账号权限不足");
    ErrorCode APP_PARAM_ERROR = new ErrorCode(2_006_000_002, "参数有误");
    ErrorCode APP_TASK_RECEIVE_ERROR = new ErrorCode(2_006_000_003, "领取任务有误或已被其他人领取");
    ErrorCode APP_TASK_RECEIVE_ERROR_RETRY = new ErrorCode(2_006_000_004, "已打卡请重试");
    ErrorCode APP_PARAM_ERROR_STORAGE = new ErrorCode(2_006_000_005, "请选择仓库");

    /**出入库信息不存在*/
    ErrorCode CRKXX_NOT_EXISTS = new ErrorCode(2_007_000_001, "出入库信息不存在");

    /**质检信息不存在*/
    ErrorCode ZJXX_NOT_EXISTS = new ErrorCode(2_007_000_002, "质检信息不存在");

    /**损益信息不存在*/
    ErrorCode SYXX_NOT_EXISTS = new ErrorCode(2_007_000_003, "损益信息不存在");
    /**货位卡信息不存在*/
    ErrorCode HWK_NOT_EXISTS = new ErrorCode(2_007_000_004, "货位卡信息不存在");

    /**视频信息不存在*/
    ErrorCode SPXX_NOT_EXISTS = new ErrorCode(2_007_000_005, "视频信息不存在");

    /**视频区域信息不存在*/
    ErrorCode SPQYXX_NOT_EXISTS = new ErrorCode(2_007_000_006, "视频区域信息不存在");
    /**粮情检测信息不存在*/
    ErrorCode LQJCXX_NOT_EXISTS = new ErrorCode(2_007_000_006, "粮情检测信息不存在");
    ErrorCode FMXX_NOT_EXISTS = new ErrorCode(2_007_000_008, "赋码信息不存在");


}
